Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoDecomposeVec4f Class Reference
[Engine classes]

The SoDecomposeVec4f class is used to decompose 4D vectors into four floats. More...

`#include <Inventor/engines/SoCompose.h>`

Inheritance diagram for SoDecomposeVec4f:

List of all members.

## Public Attributes
SoMFVec4f | vector
SoEngineOutput | x
SoEngineOutput | y
SoEngineOutput | z
SoEngineOutput | w

## Detailed Description

The SoDecomposeVec4f class is used to decompose 4D vectors into four floats.

## Member Data Documentation

SoMFVec4f SoDecomposeVec4f::vector

| Set of input vectors to be decomposed into their coordinate elements.

SoEngineOutput SoDecomposeVec4f::x

| (SoMFFloat) First coordinates of the input vectors.

SoEngineOutput SoDecomposeVec4f::y

| (SoMFFloat) Second coordinates of the input vectors.

SoEngineOutput SoDecomposeVec4f::z

| (SoMFFloat) Third coordinates of the input vectors.

SoEngineOutput SoDecomposeVec4f::w

| (SoMFFloat) Fourth coordinates of the input vectors.

The documentation for this class was generated from the following files:

- SoDecomposeVec4f.h
- SoDecomposeVec4f.cpp